package org.jboss.security;

package .tmp;

import java.util.HashMap;
import org.jboss.security.SecurityAssociation;

class HashMapInheritableLocal extends InheritableThreadLocal {
  private HashMapInheritableLocal() {}
  
  protected Object childValue(Object parentValue) {
    HashMap map = (HashMap)parentValue;
    HashMap copy = null;
    try {
      copy = new HashMap(map);
    } catch (Throwable t) {
      SecurityAssociation.access$300().debug("Failed to copy parent map, using new map");
      copy = new HashMap();
    } 
    return copy;
  }
  
  protected Object initialValue() {
    return new HashMap();
  }
}
